USM v3.1.4 errors

Please reproduce your error on a second machine before posting, and check the error by running without saved changes or extra modules (See FAQ No. 13, "How to report a bug"). For unstable Porteus versions (alpha, beta, rc) please use the relevant thread in our "Development" section.
beny
Full of knowledge
Full of knowledge
Posts: 730
Joined: 02 Jan 2011, 11:33
Location: italy

Re: USM v3.1.4 errors

Post#16 by beny » 29 Sep 2014, 17:56

usm is a package tagged no arch but it can detect if your arch is 64bit or 32bit.when you search packages for your system

User avatar
brokenman
Site Admin
Site Admin
Posts: 5551
Joined: 27 Dec 2010, 03:50
Distribution: Porteus v3.2rcX all desktops
Location: Brazil
Contact:

Re: USM v3.1.4 errors

Post#17 by brokenman » 29 Sep 2014, 22:35

As bogomips write, try: usm -g gimp

Yes it should resolve gegl and babl.
How do i become super user?
Wear your underpants on the outside and put on a cape.

User avatar
Rava
Contributor
Contributor
Posts: 1319
Joined: 11 Jan 2011, 02:46
Distribution: Porteus 3.1.0 x86-64 XFCe
Location: Germany

Re: USM v3.1.6 errors

Post#18 by Rava » 01 Oct 2014, 02:14

(USM v3.1.6 error odyssey ongoing)
brokenman wrote:As bogomips write, try: usm -g gimp

Yes it should resolve gegl and babl.
okay, I again not activated my most recent usm database module, but downloaded it all once again... all that went finer without any error; now the search for gimp:

Code: Select all

root@porteus:/mnt# usm -g gimp

 Nothing found for:  gimp 
But there is sure GIMP to be found, lookie here:

Code: Select all

root@porteus:/var/usm# grep -rl GIMP *
sbo/SLACKBUILDS.TXT
slackware/PACKAGES.TXT
slacky/PACKAGES.TXT

root@porteus:/var/usm# grep -r gimp-2.8 *
slackware/PACKAGES.TXT:PACKAGE NAME:  gimp-2.8.6-x86_64-1.txz
slackware/OPTIFEST:Package: gimp-2.8.6-x86_64-1.txz
slackware/CHECKSUMS.md5:5f22b702cfc51612c52f1daa406e3ce5  ./xap/gimp-2.8.6-x86_64-1.txt
slackware/CHECKSUMS.md5:c322a7227203ba2d52b32ab78b1b6d42  ./xap/gimp-2.8.6-x86_64-1.txz
slackware/CHECKSUMS.md5:9eefee2984b629f11de904c51648db1b  ./xap/gimp-2.8.6-x86_64-1.txz.asc
See? Usm should find something... why is it malfunctioning at my system and working OK on others?
Cheers!
Yours Rava

User avatar
Slaxmax
Contributor
Contributor
Posts: 403
Joined: 03 Jan 2013, 09:51
Distribution: KDE4
Location: Campinas Brazil https://goo.gl/yrxwKi

Re: USM v3.1.4 errors

Post#19 by Slaxmax » 01 Oct 2014, 15:30

for me works fine (GIMP)

Code: Select all

root@porteus:/home/guest# usm -g gimp

 The following items were found.
 Choose an number to confirm. 
 ctrl+c to quit

1) gimp-2.8.6-i486-1.txz
#? ^C
root@porteus:/home/guest# usm -v
 You are using USM version:  3.1.6
“DNA is like a computer program but far, far more advanced than any software ever created.”
― Bill Gates, The Road Ahead

User avatar
brokenman
Site Admin
Site Admin
Posts: 5551
Joined: 27 Dec 2010, 03:50
Distribution: Porteus v3.2rcX all desktops
Location: Brazil
Contact:

Re: USM v3.1.4 errors

Post#20 by brokenman » 01 Oct 2014, 16:23

why is it malfunctioning at my system and working OK on others?
You chose to pull apart a base module and update USM inside this module. I have no idea of the procedure you took to do this so it is difficult to tell what the problem is. People using USM in the standard way are genrally not having problems.
How do i become super user?
Wear your underpants on the outside and put on a cape.

User avatar
Rava
Contributor
Contributor
Posts: 1319
Joined: 11 Jan 2011, 02:46
Distribution: Porteus 3.1.0 x86-64 XFCe
Location: Germany

Re: USM v3.1.4 errors

Post#21 by Rava » 05 Oct 2014, 03:48

brokenman wrote:You chose to pull apart a base module and update USM inside this module. I have no idea of the procedure you took to do this so it is difficult to tell what the problem is. People using USM in the standard way are genrally not having problems.
I replaced all usm files in the original module with the newer, updated files from usm-3.1.6... like any update or activating the usm-3.1.6 module after the main modules would do, too...
I can go back, use the original system module and then add at the end usm-3.1.6.xzm and see if that makes any difference...
Cheers!
Yours Rava

Post Reply